function [linex,liney,linez]=inter_plane(c1,c2)

%c: coefficients of the plane ax+by+cz=d
%linexzy : intersection of the two planes 

A =   c1(2)*c2(1) - c1(1)*c2(2) ;
B = ( c1(3)*c2(1) - c1(1)*c2(3) ) / A ;
C = ( c1(4)*c2(1) - c1(1)*c2(4) ) / A ;

linez = linspace(1100,1500,5);

liney = -B * linez + C ;

linex = ( (-c1(3)+c1(2)*B) * linez - c1(2)*C + c1(4) ) /c1(1);
