function [linex,liney,linez,x,y,z,vec_inter]=inter_plane_2_xz(c1,c2)

%works for xy

%c: coefficients of the plane ax+by+cz=d
%linexzy : intersection of the two planes 
%we impose x=900

x=1000;

%--- We need a point on the intersection
%--- If x is the absisse of a point of the intersection then
delta  = c1(2)*     c2(3)      - c1(3)*     c2(2) ;
deltay = c1(3)*(c2(4)-c2(1)*x) - c2(3)*(c1(4)-c1(1)*x) ;
deltaz = c1(2)*(c2(4)-c2(1)*x) - c2(2)*(c1(4)-c1(1)*x) ;
y = -1/delta * deltay;
z =  1/delta * deltaz;

x*c1(1)+y*c1(2)+z*c1(3)-c1(4);
x*c2(1)+y*c2(2)+z*c2(3)-c2(4);

%--- We need the direction of the intersection
%--- it is given bu the dot product of the two planes norml
vec_inter = cross(c1(1:3),c2(1:3));
vec_inter = vec_inter / norm(vec_inter);
%--- Computation of the intersection
dots  = linspace(0,950,10);
linex = x + vec_inter(1)*dots;
liney = y + vec_inter(2)*dots;
linez = z - vec_inter(3)*dots;

line=[linex ; liney ;linez]';
