function [theta,azim]=vec2angle(vec)

%given the coordinates of a vector, the function
%returns the azimuth and dipping of the vector in degrees

%normalization of the vector
vec = vec / norm(vec);

d = sqrt( vec(1)^2 + vec(2)^2 ) ;

theta = atan( vec(3) / d ) * 180 / pi ;

azim  = acos( vec(1) / d ) * 180 / pi ;


